﻿@model DomainClass.P_Info

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>ویرایش اطلاعات شخصی</h4>
<hr />

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">

    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.ID)

    <div class="form-group">
        @Html.LabelFor(model => model.Lname, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Lname, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Lname, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Fname, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.Fname, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Fname, "", new { @class = "text-danger" })
        </div>
    </div>

    @*<div class="form-group">
        @Html.LabelFor(model => model.ShMeli, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.ShMeli, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ShMeli, "", new { @class = "text-danger" })
        </div>
    </div>*@

    <div class="form-group">
        @Html.LabelFor(model => model.FaName, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.FaName, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.FaName, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.BDate, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.BDate, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.BDate, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.T_Ostan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.T_Ostan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.T_Ostan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.T_Shahrestan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.T_Shahrestan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.T_Shahrestan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.T_Bakhsh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.T_Bakhsh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.T_Bakhsh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.ShSh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ShSh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ShSh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.S_Ostan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.S_Ostan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.S_Ostan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.S_Shahrestan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.S_Shahrestan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.S_Shahrestan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.S_Bakhsh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.S_Bakhsh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.S_Bakhsh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Jensiat, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.Jensiat, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Jensiat, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Din, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Din, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Din, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Tahol, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.Tahol, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Tahol, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Fax, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Fax, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Fax, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Mobile, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Mobile, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Mobile, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Tell, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Tell, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Tell, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Code, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Code, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Code, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.NezamVazife, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.NezamVazife, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.NezamVazife, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Razmandeh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Razmandeh)
                @Html.ValidationMessageFor(model => model.Razmandeh, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.ModatJebhe, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ModatJebhe, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ModatJebhe, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="form-group">
        @Html.LabelFor(model => model.Azadeh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Azadeh)
                @Html.ValidationMessageFor(model => model.Azadeh, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.ModatJebheGh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ModatJebheGh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ModatJebheGh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Janbaz, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Janbaz)
                @Html.ValidationMessageFor(model => model.Janbaz, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.MizanJanbazi, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.MizanJanbazi, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.MizanJanbazi, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="form-group">
        @Html.LabelFor(model => model.ModatEsarat, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ModatEsarat, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ModatEsarat, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Shahid, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Shahid)
                @Html.ValidationMessageFor(model => model.Shahid, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.TedadShahid, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.TedadShahid, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.TedadShahid, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.BasijFal, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.BasijFal, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.BasijFal, "", new { @class = "text-danger" })
        </div>
        @Html.LabelFor(model => model.NesbatShahid, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.NesbatShahid, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.NesbatShahid, "", new { @class = "text-danger" })
        </div>
    </div>
    <hr />

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
            @Html.ActionLink("بازگشت", "Index", "P_Info", new { @class = "btn btn-danger" })
        </div>
    </div>
</div>
}

<div>
</div>
